searchNodes=[{"doc":"API client metadata for GoogleApi.Fitness.V1.","ref":"GoogleApi.Fitness.V1.html","title":"GoogleApi.Fitness.V1","type":"module"},{"doc":"","ref":"GoogleApi.Fitness.V1.html#discovery_revision/0","title":"GoogleApi.Fitness.V1.discovery_revision/0","type":"function"},{"doc":"API calls for all endpoints tagged Users.","ref":"GoogleApi.Fitness.V1.Api.Users.html","title":"GoogleApi.Fitness.V1.Api.Users","type":"module"},{"doc":"Creates a new data source that is unique across all data sources belonging to this user. A data source is a unique source of sensor data. Data sources can expose raw data coming from hardware sensors on local or companion devices. They can also expose derived data, created by transforming or merging other data sources. Multiple data sources can exist for the same data type. Every data point in every dataset inserted into or read from the Fitness API has an associated data source. Each data source produces a unique stream of dataset updates, with a unique data source identifier. Not all changes to data source affect the data stream ID, so that data collected by updated versions of the same application/device can still be considered to belong to the same data source. Data sources are identified using a string generated by the server, based on the contents of the source being created. The dataStreamId field should not be set when invoking this method. It will be automatically generated by the server with the correct format. If a dataStreamId is set, it must match the format that the server would generate. This format is a combination of some fields from the data source, and has a specific order. If it doesn't match, the request will fail with an error. Specifying a DataType which is not a known type (beginning with &quot;com.google.&quot;) will create a DataSource with a custom data type. Custom data types are only readable by the application that created them. Custom data types are deprecated; use standard data types instead. In addition to the data source fields included in the data source ID, the developer project number that is authenticated when creating the data source is included. This developer project number is obfuscated when read by any other developer reading public data types.Parameters connection (type: GoogleApi.Fitness.V1.Connection.t) - Connection to server user_id (type: String.t) - Create the data source for the person identified. Use me to indicate the authenticated user. Only me is supported at this time. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.Fitness.V1.Model.DataSource.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.Fitness.V1.Model.DataSource{}} on success {:error, info} on failure","ref":"GoogleApi.Fitness.V1.Api.Users.html#fitness_users_data_sources_create/4","title":"GoogleApi.Fitness.V1.Api.Users.fitness_users_data_sources_create/4","type":"function"},{"doc":"Queries for user's data point changes for a particular data source.Parameters connection (type: GoogleApi.Fitness.V1.Connection.t) - Connection to server user_id (type: String.t) - List data points for the person identified. Use me to indicate the authenticated user. Only me is supported at this time. data_source_id (type: String.t) - The data stream ID of the data source that created the dataset. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :limit (type: integer()) - If specified, no more than this many data point changes will be included in the response. :pageToken (type: String.t) - The continuation token, which is used to page through large result sets. To get the next page of results, set this parameter to the value of nextPageToken from the previous response. opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.Fitness.V1.Model.ListDataPointChangesResponse{}} on success {:error, info} on failure","ref":"GoogleApi.Fitness.V1.Api.Users.html#fitness_users_data_sources_data_point_changes_list/5","title":"GoogleApi.Fitness.V1.Api.Users.fitness_users_data_sources_data_point_changes_list/5","type":"function"},{"doc":"Performs an inclusive delete of all data points whose start and end times have any overlap with the time range specified by the dataset ID. For most data types, the entire data point will be deleted. For data types where the time span represents a consistent value (such as com.google.activity.segment), and a data point straddles either end point of the dataset, only the overlapping portion of the data point will be deleted.Parameters connection (type: GoogleApi.Fitness.V1.Connection.t) - Connection to server user_id (type: String.t) - Delete a dataset for the person identified. Use me to indicate the authenticated user. Only me is supported at this time. data_source_id (type: String.t) - The data stream ID of the data source that created the dataset. dataset_id (type: String.t) - Dataset identifier that is a composite of the minimum data point start time and maximum data point end time represented as nanoseconds from the epoch. The ID is formatted like: &quot;startTime-endTime&quot; where startTime and endTime are 64 bit integers. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :currentTimeMillis (type: String.t) - The client's current time in milliseconds since epoch. :modifiedTimeMillis (type: String.t) - When the operation was performed on the client. opts (type: keyword()) - Call optionsReturns {:ok, %{}} on success {:error, info} on failure","ref":"GoogleApi.Fitness.V1.Api.Users.html#fitness_users_data_sources_datasets_delete/6","title":"GoogleApi.Fitness.V1.Api.Users.fitness_users_data_sources_datasets_delete/6","type":"function"},{"doc":"Returns a dataset containing all data points whose start and end times overlap with the specified range of the dataset minimum start time and maximum end time. Specifically, any data point whose start time is less than or equal to the dataset end time and whose end time is greater than or equal to the dataset start time.Parameters connection (type: GoogleApi.Fitness.V1.Connection.t) - Connection to server user_id (type: String.t) - Retrieve a dataset for the person identified. Use me to indicate the authenticated user. Only me is supported at this time. data_source_id (type: String.t) - The data stream ID of the data source that created the dataset. dataset_id (type: String.t) - Dataset identifier that is a composite of the minimum data point start time and maximum data point end time represented as nanoseconds from the epoch. The ID is formatted like: &quot;startTime-endTime&quot; where startTime and endTime are 64 bit integers. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :limit (type: integer()) - If specified, no more than this many data points will be included in the dataset. If there are more data points in the dataset, nextPageToken will be set in the dataset response. The limit is applied from the end of the time range. That is, if pageToken is absent, the limit most recent data points will be returned. :pageToken (type: String.t) - The continuation token, which is used to page through large datasets. To get the next page of a dataset, set this parameter to the value of nextPageToken from the previous response. Each subsequent call will yield a partial dataset with data point end timestamps that are strictly smaller than those in the previous partial response. opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.Fitness.V1.Model.Dataset{}} on success {:error, info} on failure","ref":"GoogleApi.Fitness.V1.Api.Users.html#fitness_users_data_sources_datasets_get/6","title":"GoogleApi.Fitness.V1.Api.Users.fitness_users_data_sources_datasets_get/6","type":"function"},{"doc":"Adds data points to a dataset. The dataset need not be previously created. All points within the given dataset will be returned with subsquent calls to retrieve this dataset. Data points can belong to more than one dataset. This method does not use patch semantics: the data points provided are merely inserted, with no existing data replaced.Parameters connection (type: GoogleApi.Fitness.V1.Connection.t) - Connection to server user_id (type: String.t) - Patch a dataset for the person identified. Use me to indicate the authenticated user. Only me is supported at this time. data_source_id (type: String.t) - The data stream ID of the data source that created the dataset. dataset_id (type: String.t) - This field is not used, and can be safely omitted. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :currentTimeMillis (type: String.t) - The client's current time in milliseconds since epoch. Note that the minStartTimeNs and maxEndTimeNs properties in the request body are in nanoseconds instead of milliseconds. :body (type: GoogleApi.Fitness.V1.Model.Dataset.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.Fitness.V1.Model.Dataset{}} on success {:error, info} on failure","ref":"GoogleApi.Fitness.V1.Api.Users.html#fitness_users_data_sources_datasets_patch/6","title":"GoogleApi.Fitness.V1.Api.Users.fitness_users_data_sources_datasets_patch/6","type":"function"},{"doc":"Deletes the specified data source. The request will fail if the data source contains any data points.Parameters connection (type: GoogleApi.Fitness.V1.Connection.t) - Connection to server user_id (type: String.t) - Retrieve a data source for the person identified. Use me to indicate the authenticated user. Only me is supported at this time. data_source_id (type: String.t) - The data stream ID of the data source to delete. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.Fitness.V1.Model.DataSource{}} on success {:error, info} on failure","ref":"GoogleApi.Fitness.V1.Api.Users.html#fitness_users_data_sources_delete/5","title":"GoogleApi.Fitness.V1.Api.Users.fitness_users_data_sources_delete/5","type":"function"},{"doc":"Returns the specified data source.Parameters connection (type: GoogleApi.Fitness.V1.Connection.t) - Connection to server user_id (type: String.t) - Retrieve a data source for the person identified. Use me to indicate the authenticated user. Only me is supported at this time. data_source_id (type: String.t) - The data stream ID of the data source to retrieve. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.Fitness.V1.Model.DataSource{}} on success {:error, info} on failure","ref":"GoogleApi.Fitness.V1.Api.Users.html#fitness_users_data_sources_get/5","title":"GoogleApi.Fitness.V1.Api.Users.fitness_users_data_sources_get/5","type":"function"},{"doc":"Lists all data sources that are visible to the developer, using the OAuth scopes provided. The list is not exhaustive; the user may have private data sources that are only visible to other developers, or calls using other scopes.Parameters connection (type: GoogleApi.Fitness.V1.Connection.t) - Connection to server user_id (type: String.t) - List data sources for the person identified. Use me to indicate the authenticated user. Only me is supported at this time. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :dataTypeName (type: list(String.t)) - The names of data types to include in the list. If not specified, all data sources will be returned. opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.Fitness.V1.Model.ListDataSourcesResponse{}} on success {:error, info} on failure","ref":"GoogleApi.Fitness.V1.Api.Users.html#fitness_users_data_sources_list/4","title":"GoogleApi.Fitness.V1.Api.Users.fitness_users_data_sources_list/4","type":"function"},{"doc":"Updates the specified data source. The dataStreamId, dataType, type, dataStreamName, and device properties with the exception of version, cannot be modified. Data sources are identified by their dataStreamId.Parameters connection (type: GoogleApi.Fitness.V1.Connection.t) - Connection to server user_id (type: String.t) - Update the data source for the person identified. Use me to indicate the authenticated user. Only me is supported at this time. data_source_id (type: String.t) - The data stream ID of the data source to update. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.Fitness.V1.Model.DataSource.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.Fitness.V1.Model.DataSource{}} on success {:error, info} on failure","ref":"GoogleApi.Fitness.V1.Api.Users.html#fitness_users_data_sources_update/5","title":"GoogleApi.Fitness.V1.Api.Users.fitness_users_data_sources_update/5","type":"function"},{"doc":"Aggregates data of a certain type or stream into buckets divided by a given type of boundary. Multiple data sets of multiple types and from multiple sources can be aggregated into exactly one bucket type per request.Parameters connection (type: GoogleApi.Fitness.V1.Connection.t) - Connection to server user_id (type: String.t) - Aggregate data for the person identified. Use me to indicate the authenticated user. Only me is supported at this time. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.Fitness.V1.Model.AggregateRequest.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.Fitness.V1.Model.AggregateResponse{}} on success {:error, info} on failure","ref":"GoogleApi.Fitness.V1.Api.Users.html#fitness_users_dataset_aggregate/4","title":"GoogleApi.Fitness.V1.Api.Users.fitness_users_dataset_aggregate/4","type":"function"},{"doc":"Deletes a session specified by the given session ID.Parameters connection (type: GoogleApi.Fitness.V1.Connection.t) - Connection to server user_id (type: String.t) - Delete a session for the person identified. Use me to indicate the authenticated user. Only me is supported at this time. session_id (type: String.t) - The ID of the session to be deleted. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :currentTimeMillis (type: String.t) - The client's current time in milliseconds since epoch. opts (type: keyword()) - Call optionsReturns {:ok, %{}} on success {:error, info} on failure","ref":"GoogleApi.Fitness.V1.Api.Users.html#fitness_users_sessions_delete/5","title":"GoogleApi.Fitness.V1.Api.Users.fitness_users_sessions_delete/5","type":"function"},{"doc":"Lists sessions previously created.Parameters connection (type: GoogleApi.Fitness.V1.Connection.t) - Connection to server user_id (type: String.t) - List sessions for the person identified. Use me to indicate the authenticated user. Only me is supported at this time. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :activityType (type: list(integer())) - If non-empty, only sessions with these activity types should be returned. :endTime (type: String.t) - An RFC3339 timestamp. Only sessions ending between the start and end times will be included in the response. If this time is omitted but startTime is specified, all sessions from startTime to the end of time will be returned. :includeDeleted (type: boolean()) - If true, and if both startTime and endTime are omitted, session deletions will be returned. :pageToken (type: String.t) - The continuation token, which is used for incremental syncing. To get the next batch of changes, set this parameter to the value of nextPageToken from the previous response. The page token is ignored if either start or end time is specified. If none of start time, end time, and the page token is specified, sessions modified in the last 30 days are returned. :startTime (type: String.t) - An RFC3339 timestamp. Only sessions ending between the start and end times will be included in the response. If this time is omitted but endTime is specified, all sessions from the start of time up to endTime will be returned. opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.Fitness.V1.Model.ListSessionsResponse{}} on success {:error, info} on failure","ref":"GoogleApi.Fitness.V1.Api.Users.html#fitness_users_sessions_list/4","title":"GoogleApi.Fitness.V1.Api.Users.fitness_users_sessions_list/4","type":"function"},{"doc":"Updates or insert a given session.Parameters connection (type: GoogleApi.Fitness.V1.Connection.t) - Connection to server user_id (type: String.t) - Create sessions for the person identified. Use me to indicate the authenticated user. Only me is supported at this time. session_id (type: String.t) - The ID of the session to be created. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :currentTimeMillis (type: String.t) - The client's current time in milliseconds since epoch. :body (type: GoogleApi.Fitness.V1.Model.Session.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.Fitness.V1.Model.Session{}} on success {:error, info} on failure","ref":"GoogleApi.Fitness.V1.Api.Users.html#fitness_users_sessions_update/5","title":"GoogleApi.Fitness.V1.Api.Users.fitness_users_sessions_update/5","type":"function"},{"doc":"Handle Tesla connections for GoogleApi.Fitness.V1.","ref":"GoogleApi.Fitness.V1.Connection.html","title":"GoogleApi.Fitness.V1.Connection","type":"module"},{"doc":"Perform a DELETE request.See request/1 or request/2 for options definition.delete(&quot;/users&quot;) delete(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete(client, &quot;/users&quot;) delete(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete(client, &quot;/users&quot;, body: %{name: &quot;Jon&quot;})","ref":"GoogleApi.Fitness.V1.Connection.html#delete/3","title":"GoogleApi.Fitness.V1.Connection.delete/3","type":"function"},{"doc":"Perform a DELETE request.See request!/1 or request!/2 for options definition.delete!(&quot;/users&quot;) delete!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete!(client, &quot;/users&quot;) delete!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete!(client, &quot;/users&quot;, body: %{name: &quot;Jon&quot;})","ref":"GoogleApi.Fitness.V1.Connection.html#delete!/3","title":"GoogleApi.Fitness.V1.Connection.delete!/3","type":"function"},{"doc":"Execute a request on this connectionReturns {:ok, Tesla.Env.t} - If the call was successful {:error, reason} - If the call failed","ref":"GoogleApi.Fitness.V1.Connection.html#execute/2","title":"GoogleApi.Fitness.V1.Connection.execute/2","type":"function"},{"doc":"Perform a GET request.See request/1 or request/2 for options definition.get(&quot;/users&quot;) get(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get(client, &quot;/users&quot;) get(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;]) get(client, &quot;/users&quot;, body: %{name: &quot;Jon&quot;})","ref":"GoogleApi.Fitness.V1.Connection.html#get/3","title":"GoogleApi.Fitness.V1.Connection.get/3","type":"function"},{"doc":"Perform a GET request.See request!/1 or request!/2 for options definition.get!(&quot;/users&quot;) get!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get!(client, &quot;/users&quot;) get!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;]) get!(client, &quot;/users&quot;, body: %{name: &quot;Jon&quot;})","ref":"GoogleApi.Fitness.V1.Connection.html#get!/3","title":"GoogleApi.Fitness.V1.Connection.get!/3","type":"function"},{"doc":"Perform a HEAD request.See request/1 or request/2 for options definition.head(&quot;/users&quot;) head(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head(client, &quot;/users&quot;) head(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;]) head(client, &quot;/users&quot;, body: %{name: &quot;Jon&quot;})","ref":"GoogleApi.Fitness.V1.Connection.html#head/3","title":"GoogleApi.Fitness.V1.Connection.head/3","type":"function"},{"doc":"Perform a HEAD request.See request!/1 or request!/2 for options definition.head!(&quot;/users&quot;) head!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head!(client, &quot;/users&quot;) head!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;]) head!(client, &quot;/users&quot;, body: %{name: &quot;Jon&quot;})","ref":"GoogleApi.Fitness.V1.Connection.html#head!/3","title":"GoogleApi.Fitness.V1.Connection.head!/3","type":"function"},{"doc":"Configure an authless client connectionReturns Tesla.Env.client","ref":"GoogleApi.Fitness.V1.Connection.html#new/0","title":"GoogleApi.Fitness.V1.Connection.new/0","type":"function"},{"doc":"Configure a client connection using a function which yields a Bearer token.Parameters token_fetcher (type: list(String.t()) -&gt; String.t()) - Callback which provides an OAuth2 token given a list of scopesReturns Tesla.Env.client","ref":"GoogleApi.Fitness.V1.Connection.html#new/1","title":"GoogleApi.Fitness.V1.Connection.new/1","type":"function"},{"doc":"Perform a OPTIONS request.See request/1 or request/2 for options definition.options(&quot;/users&quot;) options(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options(client, &quot;/users&quot;) options(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;]) options(client, &quot;/users&quot;, body: %{name: &quot;Jon&quot;})","ref":"GoogleApi.Fitness.V1.Connection.html#options/3","title":"GoogleApi.Fitness.V1.Connection.options/3","type":"function"},{"doc":"Perform a OPTIONS request.See request!/1 or request!/2 for options definition.options!(&quot;/users&quot;) options!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options!(client, &quot;/users&quot;) options!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;]) options!(client, &quot;/users&quot;, body: %{name: &quot;Jon&quot;})","ref":"GoogleApi.Fitness.V1.Connection.html#options!/3","title":"GoogleApi.Fitness.V1.Connection.options!/3","type":"function"},{"doc":"Perform a PATCH request.See request/1 or request/2 for options definition.patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Fitness.V1.Connection.html#patch/4","title":"GoogleApi.Fitness.V1.Connection.patch/4","type":"function"},{"doc":"Perform a PATCH request.See request!/1 or request!/2 for options definition.patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Fitness.V1.Connection.html#patch!/4","title":"GoogleApi.Fitness.V1.Connection.patch!/4","type":"function"},{"doc":"Perform a POST request.See request/1 or request/2 for options definition.post(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Fitness.V1.Connection.html#post/4","title":"GoogleApi.Fitness.V1.Connection.post/4","type":"function"},{"doc":"Perform a POST request.See request!/1 or request!/2 for options definition.post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Fitness.V1.Connection.html#post!/4","title":"GoogleApi.Fitness.V1.Connection.post!/4","type":"function"},{"doc":"Perform a PUT request.See request/1 or request/2 for options definition.put(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Fitness.V1.Connection.html#put/4","title":"GoogleApi.Fitness.V1.Connection.put/4","type":"function"},{"doc":"Perform a PUT request.See request!/1 or request!/2 for options definition.put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Fitness.V1.Connection.html#put!/4","title":"GoogleApi.Fitness.V1.Connection.put!/4","type":"function"},{"doc":"Perform a request.Options:method - the request method, one of [:head, :get, :delete, :trace, :options, :post, :put, :patch]:url - either full url e.g. &quot;http://example.com/some/path&quot; or just &quot;/some/path&quot; if using Tesla.Middleware.BaseUrl:query - a keyword list of query params, e.g. [page: 1, per_page: 100]:headers - a keyworld list of headers, e.g. [{&quot;content-type&quot;, &quot;text/plain&quot;}]:body - depends on used middleware:by default it can be a binaryif using e.g. JSON encoding middleware it can be a nested mapif adapter supports it it can be a Stream with any of the above:opts - custom, per-request middleware or adapter optionsExamplesExampleApi.request(method: :get, url: &quot;/users/path&quot;) # use shortcut methods ExampleApi.get(&quot;/users/1&quot;) ExampleApi.post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;})","ref":"GoogleApi.Fitness.V1.Connection.html#request/2","title":"GoogleApi.Fitness.V1.Connection.request/2","type":"function"},{"doc":"Perform request and raise in case of error.This is similar to request/2 behaviour from Tesla 0.xSee request/2 for list of available options.","ref":"GoogleApi.Fitness.V1.Connection.html#request!/2","title":"GoogleApi.Fitness.V1.Connection.request!/2","type":"function"},{"doc":"Perform a TRACE request.See request/1 or request/2 for options definition.trace(&quot;/users&quot;) trace(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace(client, &quot;/users&quot;) trace(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace(client, &quot;/users&quot;, body: %{name: &quot;Jon&quot;})","ref":"GoogleApi.Fitness.V1.Connection.html#trace/3","title":"GoogleApi.Fitness.V1.Connection.trace/3","type":"function"},{"doc":"Perform a TRACE request.See request!/1 or request!/2 for options definition.trace!(&quot;/users&quot;) trace!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace!(client, &quot;/users&quot;) trace!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace!(client, &quot;/users&quot;, body: %{name: &quot;Jon&quot;})","ref":"GoogleApi.Fitness.V1.Connection.html#trace!/3","title":"GoogleApi.Fitness.V1.Connection.trace!/3","type":"function"},{"doc":"","ref":"GoogleApi.Fitness.V1.Connection.html#t:option/0","title":"GoogleApi.Fitness.V1.Connection.option/0","type":"type"},{"doc":"","ref":"GoogleApi.Fitness.V1.Connection.html#t:t/0","title":"GoogleApi.Fitness.V1.Connection.t/0","type":"type"},{"doc":"Attributes activity (type: integer(), default: nil) - Available for Bucket.Type.ACTIVITY_TYPE, Bucket.Type.ACTIVITY_SEGMENT dataset (type: list(GoogleApi.Fitness.V1.Model.Dataset.t), default: nil) - There will be one dataset per AggregateBy in the request. endTimeMillis (type: String.t, default: nil) - The end time for the aggregated data, in milliseconds since epoch, inclusive. session (type: GoogleApi.Fitness.V1.Model.Session.t, default: nil) - Available for Bucket.Type.SESSION startTimeMillis (type: String.t, default: nil) - The start time for the aggregated data, in milliseconds since epoch, inclusive. type (type: String.t, default: nil) - The type of a bucket signifies how the data aggregation is performed in the bucket.","ref":"GoogleApi.Fitness.V1.Model.AggregateBucket.html","title":"GoogleApi.Fitness.V1.Model.AggregateBucket","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Fitness.V1.Model.AggregateBucket.html#decode/2","title":"GoogleApi.Fitness.V1.Model.AggregateBucket.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Fitness.V1.Model.AggregateBucket.html#t:t/0","title":"GoogleApi.Fitness.V1.Model.AggregateBucket.t/0","type":"type"},{"doc":"The specification of which data to aggregate.Attributes dataSourceId (type: String.t, default: nil) - A data source ID to aggregate. Only data from the specified data source ID will be included in the aggregation. If specified, this data source must exist; the OAuth scopes in the supplied credentials must grant read access to this data type. The dataset in the response will have the same data source ID. Note: Data can be aggregated by either the dataTypeName or the dataSourceId, not both. dataTypeName (type: String.t, default: nil) - The data type to aggregate. All data sources providing this data type will contribute data to the aggregation. The response will contain a single dataset for this data type name. The dataset will have a data source ID of derived::com.google.android.gms:aggregated. If the user has no data for this data type, an empty data set will be returned. Note: Data can be aggregated by either the dataTypeName or the dataSourceId, not both.","ref":"GoogleApi.Fitness.V1.Model.AggregateBy.html","title":"GoogleApi.Fitness.V1.Model.AggregateBy","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Fitness.V1.Model.AggregateBy.html#decode/2","title":"GoogleApi.Fitness.V1.Model.AggregateBy.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Fitness.V1.Model.AggregateBy.html#t:t/0","title":"GoogleApi.Fitness.V1.Model.AggregateBy.t/0","type":"type"},{"doc":"Next id: 10Attributes aggregateBy (type: list(GoogleApi.Fitness.V1.Model.AggregateBy.t), default: nil) - The specification of data to be aggregated. At least one aggregateBy spec must be provided. All data that is specified will be aggregated using the same bucketing criteria. There will be one dataset in the response for every aggregateBy spec. bucketByActivitySegment (type: GoogleApi.Fitness.V1.Model.BucketByActivity.t, default: nil) - Specifies that data be aggregated each activity segment recorded for a user. Similar to bucketByActivitySegment, but bucketing is done for each activity segment rather than all segments of the same type. Mutually exclusive of other bucketing specifications. bucketByActivityType (type: GoogleApi.Fitness.V1.Model.BucketByActivity.t, default: nil) - Specifies that data be aggregated by the type of activity being performed when the data was recorded. All data that was recorded during a certain activity type (.for the given time range) will be aggregated into the same bucket. Data that was recorded while the user was not active will not be included in the response. Mutually exclusive of other bucketing specifications. bucketBySession (type: GoogleApi.Fitness.V1.Model.BucketBySession.t, default: nil) - Specifies that data be aggregated by user sessions. Data that does not fall within the time range of a session will not be included in the response. Mutually exclusive of other bucketing specifications. bucketByTime (type: GoogleApi.Fitness.V1.Model.BucketByTime.t, default: nil) - Specifies that data be aggregated by a single time interval. Mutually exclusive of other bucketing specifications. endTimeMillis (type: String.t, default: nil) - The end of a window of time. Data that intersects with this time window will be aggregated. The time is in milliseconds since epoch, inclusive. filteredDataQualityStandard (type: list(String.t), default: nil) - DO NOT POPULATE THIS FIELD. It is ignored. startTimeMillis (type: String.t, default: nil) - The start of a window of time. Data that intersects with this time window will be aggregated. The time is in milliseconds since epoch, inclusive.","ref":"GoogleApi.Fitness.V1.Model.AggregateRequest.html","title":"GoogleApi.Fitness.V1.Model.AggregateRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Fitness.V1.Model.AggregateRequest.html#decode/2","title":"GoogleApi.Fitness.V1.Model.AggregateRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Fitness.V1.Model.AggregateRequest.html#t:t/0","title":"GoogleApi.Fitness.V1.Model.AggregateRequest.t/0","type":"type"},{"doc":"Attributes bucket (type: list(GoogleApi.Fitness.V1.Model.AggregateBucket.t), default: nil) - A list of buckets containing the aggregated data.","ref":"GoogleApi.Fitness.V1.Model.AggregateResponse.html","title":"GoogleApi.Fitness.V1.Model.AggregateResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Fitness.V1.Model.AggregateResponse.html#decode/2","title":"GoogleApi.Fitness.V1.Model.AggregateResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Fitness.V1.Model.AggregateResponse.html#t:t/0","title":"GoogleApi.Fitness.V1.Model.AggregateResponse.t/0","type":"type"},{"doc":"Attributes detailsUrl (type: String.t, default: nil) - An optional URI that can be used to link back to the application. name (type: String.t, default: nil) - The name of this application. This is required for REST clients, but we do not enforce uniqueness of this name. It is provided as a matter of convenience for other developers who would like to identify which REST created an Application or Data Source. packageName (type: String.t, default: nil) - Package name for this application. This is used as a unique identifier when created by Android applications, but cannot be specified by REST clients. REST clients will have their developer project number reflected into the Data Source data stream IDs, instead of the packageName. version (type: String.t, default: nil) - Version of the application. You should update this field whenever the application changes in a way that affects the computation of the data.","ref":"GoogleApi.Fitness.V1.Model.Application.html","title":"GoogleApi.Fitness.V1.Model.Application","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Fitness.V1.Model.Application.html#decode/2","title":"GoogleApi.Fitness.V1.Model.Application.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Fitness.V1.Model.Application.html#t:t/0","title":"GoogleApi.Fitness.V1.Model.Application.t/0","type":"type"},{"doc":"Attributes activityDataSourceId (type: String.t, default: nil) - The default activity stream will be used if a specific activityDataSourceId is not specified. minDurationMillis (type: String.t, default: nil) - Specifies that only activity segments of duration longer than minDurationMillis are considered and used as a container for aggregated data.","ref":"GoogleApi.Fitness.V1.Model.BucketByActivity.html","title":"GoogleApi.Fitness.V1.Model.BucketByActivity","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Fitness.V1.Model.BucketByActivity.html#decode/2","title":"GoogleApi.Fitness.V1.Model.BucketByActivity.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Fitness.V1.Model.BucketByActivity.html#t:t/0","title":"GoogleApi.Fitness.V1.Model.BucketByActivity.t/0","type":"type"},{"doc":"Attributes minDurationMillis (type: String.t, default: nil) - Specifies that only sessions of duration longer than minDurationMillis are considered and used as a container for aggregated data.","ref":"GoogleApi.Fitness.V1.Model.BucketBySession.html","title":"GoogleApi.Fitness.V1.Model.BucketBySession","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Fitness.V1.Model.BucketBySession.html#decode/2","title":"GoogleApi.Fitness.V1.Model.BucketBySession.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Fitness.V1.Model.BucketBySession.html#t:t/0","title":"GoogleApi.Fitness.V1.Model.BucketBySession.t/0","type":"type"},{"doc":"Attributes durationMillis (type: String.t, default: nil) - Specifies that result buckets aggregate data by exactly durationMillis time frames. Time frames that contain no data will be included in the response with an empty dataset. period (type: GoogleApi.Fitness.V1.Model.BucketByTimePeriod.t, default: nil) -","ref":"GoogleApi.Fitness.V1.Model.BucketByTime.html","title":"GoogleApi.Fitness.V1.Model.BucketByTime","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Fitness.V1.Model.BucketByTime.html#decode/2","title":"GoogleApi.Fitness.V1.Model.BucketByTime.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Fitness.V1.Model.BucketByTime.html#t:t/0","title":"GoogleApi.Fitness.V1.Model.BucketByTime.t/0","type":"type"},{"doc":"Attributes timeZoneId (type: String.t, default: nil) - org.joda.timezone.DateTimeZone type (type: String.t, default: nil) - value (type: integer(), default: nil) -","ref":"GoogleApi.Fitness.V1.Model.BucketByTimePeriod.html","title":"GoogleApi.Fitness.V1.Model.BucketByTimePeriod","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Fitness.V1.Model.BucketByTimePeriod.html#decode/2","title":"GoogleApi.Fitness.V1.Model.BucketByTimePeriod.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Fitness.V1.Model.BucketByTimePeriod.html#t:t/0","title":"GoogleApi.Fitness.V1.Model.BucketByTimePeriod.t/0","type":"type"},{"doc":"Represents a single data point, generated by a particular data source. A data point holds a value for each field, an end timestamp and an optional start time. The exact semantics of each of these attributes are specified in the documentation for the particular data type. A data point can represent an instantaneous measurement, reading or input observation, as well as averages or aggregates over a time interval. Check the data type documentation to determine which is the case for a particular data type. Data points always contain one value for each field of the data type.Attributes computationTimeMillis (type: String.t, default: nil) - DO NOT USE THIS FIELD. It is ignored, and not stored. dataTypeName (type: String.t, default: nil) - The data type defining the format of the values in this data point. endTimeNanos (type: String.t, default: nil) - The end time of the interval represented by this data point, in nanoseconds since epoch. modifiedTimeMillis (type: String.t, default: nil) - Indicates the last time this data point was modified. Useful only in contexts where we are listing the data changes, rather than representing the current state of the data. originDataSourceId (type: String.t, default: nil) - If the data point is contained in a dataset for a derived data source, this field will be populated with the data source stream ID that created the data point originally. WARNING: do not rely on this field for anything other than debugging. The value of this field, if it is set at all, is an implementation detail and is not guaranteed to remain consistent. rawTimestampNanos (type: String.t, default: nil) - The raw timestamp from the original SensorEvent. startTimeNanos (type: String.t, default: nil) - The start time of the interval represented by this data point, in nanoseconds since epoch. value (type: list(GoogleApi.Fitness.V1.Model.Value.t), default: nil) - Values of each data type field for the data point. It is expected that each value corresponding to a data type field will occur in the same order that the field is listed with in the data type specified in a data source. Only one of integer and floating point fields will be populated, depending on the format enum value within data source's type field.","ref":"GoogleApi.Fitness.V1.Model.DataPoint.html","title":"GoogleApi.Fitness.V1.Model.DataPoint","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Fitness.V1.Model.DataPoint.html#decode/2","title":"GoogleApi.Fitness.V1.Model.DataPoint.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Fitness.V1.Model.DataPoint.html#t:t/0","title":"GoogleApi.Fitness.V1.Model.DataPoint.t/0","type":"type"},{"doc":"Definition of a unique source of sensor data. Data sources can expose raw data coming from hardware sensors on local or companion devices. They can also expose derived data, created by transforming or merging other data sources. Multiple data sources can exist for the same data type. Every data point inserted into or read from this service has an associated data source. The data source contains enough information to uniquely identify its data, including the hardware device and the application that collected and/or transformed the data. It also holds useful metadata, such as the hardware and application versions, and the device type. Each data source produces a unique stream of data, with a unique identifier. Not all changes to data source affect the stream identifier, so that data collected by updated versions of the same application/device can still be considered to belong to the same data stream.Attributes application (type: GoogleApi.Fitness.V1.Model.Application.t, default: nil) - Information about an application which feeds sensor data into the platform. dataQualityStandard (type: list(String.t), default: nil) - DO NOT POPULATE THIS FIELD. It is never populated in responses from the platform, and is ignored in queries. It will be removed in a future version entirely. dataStreamId (type: String.t, default: nil) - A unique identifier for the data stream produced by this data source. The identifier includes: - The physical device's manufacturer, model, and serial number (UID). - The application's package name or name. Package name is used when the data source was created by an Android application. The developer project number is used when the data source was created by a REST client. - The data source's type. - The data source's stream name. Note that not all attributes of the data source are used as part of the stream identifier. In particular, the version of the hardware/the application isn't used. This allows us to preserve the same stream through version updates. This also means that two DataSource objects may represent the same data stream even if they're not equal. The exact format of the data stream ID created by an Android application is: type:dataType.name:application.packageName:device.manufacturer:device.model:device.uid:dataStreamName The exact format of the data stream ID created by a REST client is: type:dataType.name:developer project number:device.manufacturer:device.model:device.uid:dataStreamName When any of the optional fields that make up the data stream ID are absent, they will be omitted from the data stream ID. The minimum viable data stream ID would be: type:dataType.name:developer project number Finally, the developer project number and device UID are obfuscated when read by any REST or Android client that did not create the data source. Only the data source creator will see the developer project number in clear and normal form. This means a client will see a different set of data_stream_ids than another client with different credentials. dataStreamName (type: String.t, default: nil) - The stream name uniquely identifies this particular data source among other data sources of the same type from the same underlying producer. Setting the stream name is optional, but should be done whenever an application exposes two streams for the same data type, or when a device has two equivalent sensors. dataType (type: GoogleApi.Fitness.V1.Model.DataType.t, default: nil) - The data type defines the schema for a stream of data being collected by, inserted into, or queried from the Fitness API. device (type: GoogleApi.Fitness.V1.Model.Device.t, default: nil) - Representation of an integrated device (such as a phone or a wearable) that can hold sensors. name (type: String.t, default: nil) - An end-user visible name for this data source. type (type: String.t, default: nil) - A constant describing the type of this data source. Indicates whether this data source produces raw or derived data.","ref":"GoogleApi.Fitness.V1.Model.DataSource.html","title":"GoogleApi.Fitness.V1.Model.DataSource","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Fitness.V1.Model.DataSource.html#decode/2","title":"GoogleApi.Fitness.V1.Model.DataSource.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Fitness.V1.Model.DataSource.html#t:t/0","title":"GoogleApi.Fitness.V1.Model.DataSource.t/0","type":"type"},{"doc":"Attributes field (type: list(GoogleApi.Fitness.V1.Model.DataTypeField.t), default: nil) - A field represents one dimension of a data type. name (type: String.t, default: nil) - Each data type has a unique, namespaced, name. All data types in the com.google namespace are shared as part of the platform.","ref":"GoogleApi.Fitness.V1.Model.DataType.html","title":"GoogleApi.Fitness.V1.Model.DataType","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Fitness.V1.Model.DataType.html#decode/2","title":"GoogleApi.Fitness.V1.Model.DataType.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Fitness.V1.Model.DataType.html#t:t/0","title":"GoogleApi.Fitness.V1.Model.DataType.t/0","type":"type"},{"doc":"In case of multi-dimensional data (such as an accelerometer with x, y, and z axes) each field represents one dimension. Each data type field has a unique name which identifies it. The field also defines the format of the data (int, float, etc.). This message is only instantiated in code and not used for wire comms or stored in any way.Attributes format (type: String.t, default: nil) - The different supported formats for each field in a data type. name (type: String.t, default: nil) - Defines the name and format of data. Unlike data type names, field names are not namespaced, and only need to be unique within the data type. optional (type: boolean(), default: nil) -","ref":"GoogleApi.Fitness.V1.Model.DataTypeField.html","title":"GoogleApi.Fitness.V1.Model.DataTypeField","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Fitness.V1.Model.DataTypeField.html#decode/2","title":"GoogleApi.Fitness.V1.Model.DataTypeField.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Fitness.V1.Model.DataTypeField.html#t:t/0","title":"GoogleApi.Fitness.V1.Model.DataTypeField.t/0","type":"type"},{"doc":"A dataset represents a projection container for data points. They do not carry any info of their own. Datasets represent a set of data points from a particular data source. A data point can be found in more than one dataset.Attributes dataSourceId (type: String.t, default: nil) - The data stream ID of the data source that created the points in this dataset. maxEndTimeNs (type: String.t, default: nil) - The largest end time of all data points in this possibly partial representation of the dataset. Time is in nanoseconds from epoch. This should also match the second part of the dataset identifier. minStartTimeNs (type: String.t, default: nil) - The smallest start time of all data points in this possibly partial representation of the dataset. Time is in nanoseconds from epoch. This should also match the first part of the dataset identifier. nextPageToken (type: String.t, default: nil) - This token will be set when a dataset is received in response to a GET request and the dataset is too large to be included in a single response. Provide this value in a subsequent GET request to return the next page of data points within this dataset. point (type: list(GoogleApi.Fitness.V1.Model.DataPoint.t), default: nil) - A partial list of data points contained in the dataset, ordered by endTimeNanos. This list is considered complete when retrieving a small dataset and partial when patching a dataset or retrieving a dataset that is too large to include in a single response.","ref":"GoogleApi.Fitness.V1.Model.Dataset.html","title":"GoogleApi.Fitness.V1.Model.Dataset","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Fitness.V1.Model.Dataset.html#decode/2","title":"GoogleApi.Fitness.V1.Model.Dataset.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Fitness.V1.Model.Dataset.html#t:t/0","title":"GoogleApi.Fitness.V1.Model.Dataset.t/0","type":"type"},{"doc":"Representation of an integrated device (such as a phone or a wearable) that can hold sensors. Each sensor is exposed as a data source. The main purpose of the device information contained in this class is to identify the hardware of a particular data source. This can be useful in different ways, including: - Distinguishing two similar sensors on different devices (the step counter on two nexus 5 phones, for instance) - Display the source of data to the user (by using the device make / model) - Treat data differently depending on sensor type (accelerometers on a watch may give different patterns than those on a phone) - Build different analysis models for each device/version. Attributes manufacturer (type: String.t, default: nil) - Manufacturer of the product/hardware. model (type: String.t, default: nil) - End-user visible model name for the device. type (type: String.t, default: nil) - A constant representing the type of the device. uid (type: String.t, default: nil) - The serial number or other unique ID for the hardware. This field is obfuscated when read by any REST or Android client that did not create the data source. Only the data source creator will see the uid field in clear and normal form. The obfuscation preserves equality; that is, given two IDs, if id1 == id2, obfuscated(id1) == obfuscated(id2). version (type: String.t, default: nil) - Version string for the device hardware/software.","ref":"GoogleApi.Fitness.V1.Model.Device.html","title":"GoogleApi.Fitness.V1.Model.Device","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Fitness.V1.Model.Device.html#decode/2","title":"GoogleApi.Fitness.V1.Model.Device.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Fitness.V1.Model.Device.html#t:t/0","title":"GoogleApi.Fitness.V1.Model.Device.t/0","type":"type"},{"doc":"Attributes dataSourceId (type: String.t, default: nil) - The data stream ID of the data source with data point changes. deletedDataPoint (type: list(GoogleApi.Fitness.V1.Model.DataPoint.t), default: nil) - Deleted data points for the user. Note, for modifications this should be parsed before handling insertions. insertedDataPoint (type: list(GoogleApi.Fitness.V1.Model.DataPoint.t), default: nil) - Inserted data points for the user. nextPageToken (type: String.t, default: nil) - The continuation token, which is used to page through large result sets. Provide this value in a subsequent request to return the next page of results.","ref":"GoogleApi.Fitness.V1.Model.ListDataPointChangesResponse.html","title":"GoogleApi.Fitness.V1.Model.ListDataPointChangesResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Fitness.V1.Model.ListDataPointChangesResponse.html#decode/2","title":"GoogleApi.Fitness.V1.Model.ListDataPointChangesResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Fitness.V1.Model.ListDataPointChangesResponse.html#t:t/0","title":"GoogleApi.Fitness.V1.Model.ListDataPointChangesResponse.t/0","type":"type"},{"doc":"Attributes dataSource (type: list(GoogleApi.Fitness.V1.Model.DataSource.t), default: nil) - A previously created data source.","ref":"GoogleApi.Fitness.V1.Model.ListDataSourcesResponse.html","title":"GoogleApi.Fitness.V1.Model.ListDataSourcesResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Fitness.V1.Model.ListDataSourcesResponse.html#decode/2","title":"GoogleApi.Fitness.V1.Model.ListDataSourcesResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Fitness.V1.Model.ListDataSourcesResponse.html#t:t/0","title":"GoogleApi.Fitness.V1.Model.ListDataSourcesResponse.t/0","type":"type"},{"doc":"Attributes deletedSession (type: list(GoogleApi.Fitness.V1.Model.Session.t), default: nil) - If includeDeleted is set to true in the request, and startTime and endTime are omitted, this will include sessions which were deleted since the last sync. hasMoreData (type: boolean(), default: nil) - Flag to indicate server has more data to transfer. DO NOT USE THIS FIELD. It is never populated in responses from the server. nextPageToken (type: String.t, default: nil) - The sync token which is used to sync further changes. This will only be provided if both startTime and endTime are omitted from the request. session (type: list(GoogleApi.Fitness.V1.Model.Session.t), default: nil) - Sessions with an end time that is between startTime and endTime of the request.","ref":"GoogleApi.Fitness.V1.Model.ListSessionsResponse.html","title":"GoogleApi.Fitness.V1.Model.ListSessionsResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Fitness.V1.Model.ListSessionsResponse.html#decode/2","title":"GoogleApi.Fitness.V1.Model.ListSessionsResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Fitness.V1.Model.ListSessionsResponse.html#t:t/0","title":"GoogleApi.Fitness.V1.Model.ListSessionsResponse.t/0","type":"type"},{"doc":"Holder object for the value of an entry in a map field of a data point. A map value supports a subset of the formats that the regular Value supports.Attributes fpVal (type: float(), default: nil) - Floating point value.","ref":"GoogleApi.Fitness.V1.Model.MapValue.html","title":"GoogleApi.Fitness.V1.Model.MapValue","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Fitness.V1.Model.MapValue.html#decode/2","title":"GoogleApi.Fitness.V1.Model.MapValue.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Fitness.V1.Model.MapValue.html#t:t/0","title":"GoogleApi.Fitness.V1.Model.MapValue.t/0","type":"type"},{"doc":"Sessions contain metadata, such as a user-friendly name and time interval information.Attributes activeTimeMillis (type: String.t, default: nil) - Session active time. While start_time_millis and end_time_millis define the full session time, the active time can be shorter and specified by active_time_millis. If the inactive time during the session is known, it should also be inserted via a com.google.activity.segment data point with a STILL activity value activityType (type: integer(), default: nil) - The type of activity this session represents. application (type: GoogleApi.Fitness.V1.Model.Application.t, default: nil) - The application that created the session. description (type: String.t, default: nil) - A description for this session. endTimeMillis (type: String.t, default: nil) - An end time, in milliseconds since epoch, inclusive. id (type: String.t, default: nil) - A client-generated identifier that is unique across all sessions owned by this particular user. modifiedTimeMillis (type: String.t, default: nil) - A timestamp that indicates when the session was last modified. name (type: String.t, default: nil) - A human readable name of the session. startTimeMillis (type: String.t, default: nil) - A start time, in milliseconds since epoch, inclusive.","ref":"GoogleApi.Fitness.V1.Model.Session.html","title":"GoogleApi.Fitness.V1.Model.Session","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Fitness.V1.Model.Session.html#decode/2","title":"GoogleApi.Fitness.V1.Model.Session.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Fitness.V1.Model.Session.html#t:t/0","title":"GoogleApi.Fitness.V1.Model.Session.t/0","type":"type"},{"doc":"Holder object for the value of a single field in a data point. A field value has a particular format and is only ever set to one of an integer or a floating point value.Attributes fpVal (type: float(), default: nil) - Floating point value. When this is set, other values must not be set. intVal (type: integer(), default: nil) - Integer value. When this is set, other values must not be set. mapVal (type: list(GoogleApi.Fitness.V1.Model.ValueMapValEntry.t), default: nil) - Map value. The valid key space and units for the corresponding value of each entry should be documented as part of the data type definition. Keys should be kept small whenever possible. Data streams with large keys and high data frequency may be down sampled. stringVal (type: String.t, default: nil) - String value. When this is set, other values must not be set. Strings should be kept small whenever possible. Data streams with large string values and high data frequency may be down sampled.","ref":"GoogleApi.Fitness.V1.Model.Value.html","title":"GoogleApi.Fitness.V1.Model.Value","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Fitness.V1.Model.Value.html#decode/2","title":"GoogleApi.Fitness.V1.Model.Value.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Fitness.V1.Model.Value.html#t:t/0","title":"GoogleApi.Fitness.V1.Model.Value.t/0","type":"type"},{"doc":"Attributes key (type: String.t, default: nil) - value (type: GoogleApi.Fitness.V1.Model.MapValue.t, default: nil) -","ref":"GoogleApi.Fitness.V1.Model.ValueMapValEntry.html","title":"GoogleApi.Fitness.V1.Model.ValueMapValEntry","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Fitness.V1.Model.ValueMapValEntry.html#decode/2","title":"GoogleApi.Fitness.V1.Model.ValueMapValEntry.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Fitness.V1.Model.ValueMapValEntry.html#t:t/0","title":"GoogleApi.Fitness.V1.Model.ValueMapValEntry.t/0","type":"type"}]